/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package sdsi;
import sdsi.*;
import sdsi.sexp.*;

/**
   @author Sameer Ajmani
**/
class SkipOp extends Op {
    public static String OPCODE = "skip";
    SkipOp(SexpList l) throws SexpParseException
    {
	super(l);
	if (!l.getType().equals("do"))
	    throw new SexpParseException("Not an Op");
	if ((l.size() < 2) || !(l.elementAt(1) instanceof SexpString))
	    throw new SexpParseException("Op type not specified");
	if (!getOpcode().equals(OPCODE))
	    throw new SexpParseException("Not a skip Op");
	if (l.size() > 2)
	    throw new SexpParseException("Too many items in list");
    }
    public static SkipOp create() throws SDSIException
    {
	try {
	    return new SkipOp(new SexpList(new Sexp[] {
		new SexpString("do"), new SexpString(OPCODE) }));
	} catch (SexpParseException e) {
	    throw new SDSIException("SexpParseException: "+e.getMessage());
	}
    }
    public String getAbbreviation()
    {
	return "_";
    }
}
