/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package sdsi.control;

import java.awt.*;
import java.awt.event.*;

/**
   @author Alexander Morcos, Sameer Ajmani
**/
class ConfirmDialog extends Dialog implements ActionListener {
    private boolean confirmAnswer;
   ConfirmDialog(Frame frame, String confirmMesg) {
      super(frame, "Confirm" , true /*modal*/ );
      Label mesgLabel = new Label(confirmMesg,Label.CENTER);
      mesgLabel.setFont(new Font("Dialog",Font.PLAIN,14));
      add("Center",mesgLabel);
      Panel buttonPanel = new Panel();
      buttonPanel.setLayout(new FlowLayout());
      Button yes = new Button("Yes");
      yes.addActionListener(this);
      buttonPanel.add(yes);
      Button no = new Button("  NO  ");
      no.addActionListener(this);
      buttonPanel.add(no);
      add("South",buttonPanel);
      pack();
      Point p = frame.getLocation();  // why can't i do this any better????
      p.translate(40,100);
      this.setLocation(p);
    }
    synchronized public boolean answer() {
      return confirmAnswer;
    }
    synchronized public void actionPerformed(ActionEvent e) {
      confirmAnswer = e.getActionCommand().equals("Yes");
      dispose();
    }
  }
