/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package sdsi.control;

import java.awt.*;
import java.awt.event.*;

/**
   @author Alexander Morcos, Sameer Ajmani
**/
class ErrorDialog extends Dialog implements ActionListener {
    Panel okp;
    Button showDetails;
    Button ok;
    String details;
    Frame parent;
    
    ErrorDialog(Frame frame, String errorType, String errorMesg) {
      super(frame, errorType, true /*modal*/ );
      parent = frame;
      TextArea ta = new TextArea(errorMesg);
      add("Center",ta);
      okp = new Panel();
      okp.setLayout(new FlowLayout());
      ok = new Button("OK");
      ok.addActionListener(this);
      okp.add(ok);
      add("South",okp);
      pack();
      Point p = frame.getLocation();  // why can't i do this any better????
      p.translate(40,100);
      this.setLocation(p);
    }
    ErrorDialog(Frame frame, String details) {
      this(frame, "Details", details);
    }
    ErrorDialog(Frame frame, String errorType, String errorMesg,
                String details) {
      this(frame, errorType, errorMesg);
      this.details = details;
      showDetails = new Button("Details");
      showDetails.addActionListener(this);
      okp.add(showDetails);
      pack();
    }
    public void actionPerformed(ActionEvent e) {
      Object object = e.getSource();
      if (object == ok)
        dispose();
      else if (object == showDetails)
        new ErrorDialog(parent, details).setVisible(true);
    }
  }
